codecvt File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_CODECVT
#define | _GLIBCXX_CODECVT_SPECIALIZATION(_NAME, _ELEM)
#define | _GLIBCXX_CODECVT_SPECIALIZATION2(_NAME, _ELEM)

## Enumerations

enum | codecvt_mode { consume_header , generate_header , little_endian }

## Detailed Description

This is a Standard C++ Library header.

Definition in file codecvt.

## Macro Definition Documentation

## _GLIBCXX_CODECVT

#define _GLIBCXX_CODECVT

Definition at line 32 of file codecvt.

## _GLIBCXX_CODECVT_SPECIALIZATION

#define _GLIBCXX_CODECVT_SPECIALIZATION | ( |  | _NAME,
|  |  | _ELEM
| ) |  |

Definition at line 140 of file codecvt.

## _GLIBCXX_CODECVT_SPECIALIZATION2

#define _GLIBCXX_CODECVT_SPECIALIZATION2 | ( |  | _NAME,
|  |  | _ELEM
| ) |  |

Definition at line 87 of file codecvt.